Bug 67059 - [RFE] at pkg install, when new cd prompted, give time for cd-rom to scan
[RFE] at pkg install, when new cd prompted, give time for cd-rom to scan
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
: 87635 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-19 13:39 EDT by James Manning
Modified: 2007-03-26 23:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 22:40:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Manning 2002-06-19 13:39:28 EDT
probably not doable, but one thing I've noticed is that if it says to put in cd2
and you put it in the tray (but tray is still ejected) and click OK, the tray
closes but anaconda doesn't give enough time for the cd-rom to finish reading
the new disc and you get a mount error.

Ideally, something would note current cd-rom drive status and not try a mount
until it's closed and finished scanning the new cd-rom.  I'm not sure about
anaconda/boot-kernel interaction, so this may not be doable and asking for it to
include something like a "sleep 3" is kinda ugly, I'd admit
Comment 1 Michael Fulbright 2002-06-20 11:18:01 EDT
Any ideas jeremy?
Comment 2 Jeremy Katz 2002-06-20 11:32:15 EDT
There is a cdrom drive status ioctl that we could possibly use to check this but
I'd have to poke around a bit to see if it's actually useful
Comment 3 James Manning 2002-07-09 17:04:50 EDT
it'd be rad to poll with the ioctl and even just keep going once the CD is
ready, destroying the dialog and continuing once the drive is ready - then those
with KVM switches like me can just swap CD's at the appropriate times w/o having
to switch over to the machine just to click the button
Comment 4 James Manning 2002-07-30 23:33:56 EDT
> [Michael E Brown]
> > Ok, to change the subject... :-)
> >
> > Since you have all of this "magic" code, why do you still require the user
> > to press "enter" when they insert a new CD? That is really silly.
> >
> > I did a simple thing that lets the user put in the next CD without
> > pressing any keys (for a different project):
> >
> > echo 0 > /proc/sys/dev/cdrom/autoclose
> >
> > while ! match_cdrom_header( /dev/cdrom, header_of_next_cd ); do
> >     eject /dev/cdrom
> >     sleep 1
> > done
Comment 5 Jeremy Katz 2003-04-02 00:21:12 EST
*** Bug 87635 has been marked as a duplicate of this bug. ***
Comment 6 Jeremy Katz 2004-10-04 22:40:11 EDT
Not going to do this right now.

Note You need to log in before you can comment on or make changes to this bug.